@import "src/styleguide";

.new-boarding {
  font-family: $sans-font-family;
  font-size: 14px;
  max-width: 100%;
  bar {
    width: 100%;
    padding: unset;
  }
  mat-form-field {
    width: 100%;
  }
  mat-radio-button {
    width: 50%;
  }

  .docradio {
    mat-radio-button {
      width: 30%;
    }
    mat-form-field {
      width: 50%;
    }
  }
  .dochead1 {
    padding-bottom: 12px;
    font-weight: bold;
    font-size: 18px;
  }
  .sub-input {
    font-size: 13px;
  }
  .button-alighnment {
    display: flex;
    justify-content: flex-end;
  }

  .mat-button.mat-primary {
    margin: 1rem 0.4rem 0;
  }

  ::ng-deep .mat-vertical-content-container {
    .mat-vertical-stepper-content {
      .mat-vertical-content {
        border-bottom: 1px solid #ccc;
      }
    }
  }

  .primary-phase,
  .secondary-phase,
  .diligence {
    mat-radio-button {
      display: inline;
      padding-right: 30px;
    }
  }

  ::ng-deep .mat-step-header {
    .mat-step-icon-state-edit {
      background-color: #129d12;
    }
  }

  .mat-progress-bar.done {
    ::ng-deep .mat-progress-bar-fill::after {
      background-color: #129d12;
    }
  }
}
